Returns the list of actions on a specified amendment.

GET /amendment/:congress/:amendmentType/:amendmentNumber/actions

Example Request

/v3/amendment/117/samdt/2137/actions
::
{
'actions': [
{
'actionDate': '2021-08-08',
'recordedVotes': [
{
'chamber': 'Senate',
'congress': 117,
'date': '2021-08-09T00:45:48Z',
'rollNumber': 312,
'sessionNumber': 1,
'url': 'https://www.senate.gov/legislative/LIS/roll_call_votes/vote1171/vote_117_1_00312.xml'
}
],
'sourceSystem': {
'code': 0,
'name': 'Senate'
},
'text': 'Amendment SA 2137 agreed to in Senate by Yea-Nay Vote. 69 - 28. Record Vote Number: 312.',
'type': 'Floor',
},
...
]
}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required

The congress number. For example, the value can be 117.

string
required

The type of amendment. Value can be hamdt, samdt, or suamdt.

integer
required

The amendment's assigned number. For example, the value can be 2137.

Query Params
string

The data format. Value can be xml or json.

Responses
200

successful operation

400

Invalid status value

Language
Credentials
Query
LoadingLoading…
Response
Click Try It! to start a request and see the response here!